+++
title = "Events Calendar"
description = "Events Calendar for Kubeflow"
weight = 10
toc = false
bref= ""
aliases = ["/docs/events/"]
[menu.docs]
  parent = "about"
  weight = 5
+++

This is a nonexhaustive list of events (in reverse chronological order) with talks and workshops about Kubeflow.
Please raise a [GitHub issue](https://github.com/kubeflow/website/issues/new) if something is missing or incorrect.

* [KubeCon, Seattle](https://events.linuxfoundation.org/events/kubecon-cloudnativecon-north-america-2018/), 11-13 December, 2018
* [YOW!, Melbourne](https://melbourne.yowconference.com.au/), 4-7 December, 2018
  - [Kubeflow Explained: NLP Architectures on Kubernetes](https://melbourne.yowconference.com.au/proposal/?id=6858): Michelle Casbon
* [YOW!, Brisbane](https://brisbane.yowconference.com.au/), 3-4 December, 2018
  - [Kubeflow Explained: NLP Architectures on Kubernetes](https://brisbane.yowconference.com.au/proposal/?id=6859): Michelle Casbon
* [YOW!, Sydney](https://sydney.yowconference.com.au/), 27-30 November, 2018
  - [Kubeflow Explained: NLP Architectures on Kubernetes](https://sydney.yowconference.com.au/proposal/?id=6860): Michelle Casbon
* [KubeCon, Shanghai](https://www.lfasiallc.com/events/kubecon-cloudnativecon-china-2018/), 14-15 November, 2018
* [Kafka Summit, San Francisco](https://kafka-summit.org/), 16-17 October, 2018
* [O’Reilly AI Conference, London](https://conferences.oreilly.com/artificial-intelligence/ai-eu), 08-11 October, 2018
  - [Machine Learning at Scale with Kubernetes](https://conferences.oreilly.com/artificial-intelligence/ai-eu/public/schedule/detail/69194): Chris Cho
* Cloud-Native, Docker, and Kubernetes Summit, Dallas, 12 September, 2018
  - [Deploying Machine Learning Workloads in Kubernetes clusters that support GPUs](https://www.eventbrite.com/e/kubernetes-classes-at-cloud-native-docker-k8s-summit-tickets-44954443952): Michael Iatrou
* [O’Reilly Strata Data, New York](https://conferences.oreilly.com/strata/strata-ny), 11-13 September, 2018
  - [From Training to Serving: Deploying Tensorflow Models with Kubernetes](https://conferences.oreilly.com/strata/strata-ny/public/schedule/detail/69362): Brian Foo, Jay Smith, David Aronchick
  - [Kubeflow Explained: Portable Machine Learning on Kubernetes](https://conferences.oreilly.com/strata/strata-ny/public/schedule/detail/69041): Michelle Casbon
* [O'Reilly AI Conference, San Francisco](https://conferences.oreilly.com/artificial-intelligence/ai-ca), 4-7 September, 2018
  - [TensorFlow Days: Kubeflow: Portable Machine Learning on Kubernetes](https://conferences.oreilly.com/artificial-intelligence/ai-ca/public/schedule/topic/2899): Michelle Casbon
* [Open Source Summit, Vancouver](https://events.linuxfoundation.org/events/open-source-summit-north-america-2018/), 29-31 August, 2018
  - [Elastic AI Pipeline with Kubeflow for Intelligent SKU Management in a Large Chinese Retailer](https://events.linuxfoundation.org/events/open-source-summit-north-america-2018/program/schedule/): Xin Zhang
  - [Introducing Kubeflow: A System for Deploying ML/AI on
    Kubernetes](https://events.linuxfoundation.org/events/open-source-summit-north-america-2018/program/schedule/): Trevor Grant, Holden Karau
* [JupyterCon, New York](https://conferences.oreilly.com/jupyter/jup-ny), 21-25 August, 2018
  - [Machine Learning at Scale with Kubernetes](https://conferences.oreilly.com/jupyter/jup-ny/public/schedule/detail/69752): Chris Cho
* [Google Next, San Francisco](https://cloud.withgoogle.com/next18/sf/), 24-26 July, 2018
  - AI Platform Showcase demo: Dan Sanche
      - [Video](https://www.youtube.com/watch?v=el7cw-nVcBE)
  - [Machine Learning Made Easy: How to Build Flexible, Portable ML Stacks with Kubeflow and Elastifile](https://cloud.withgoogle.com/next18/sf/sessions/session/193227): David Aronchick, Allon Cohen
      - [Video](https://www.youtube.com/watch?v=NAqD6siHcpE)
  - [Spotlight Lab: Introduction to Kubeflow on Google Kubernetes Engine](https://cloud.withgoogle.com/next18/sf/sessions/session/229041): Michelle Casbon
      - [Codelab](https://codelabs.developers.google.com/codelabs/kubeflow-introduction/index.html)
  - [Spotlight Lab: Kubeflow End-to-End: GitHub Issue Summarization](https://cloud.withgoogle.com/next18/sf/sessions/session/229637): Michelle Casbon
      - [Codelab](https://codelabs.developers.google.com/codelabs/cloud-kubeflow-e2e-gis/index.html)
* [O'Reilly Open Source Convention, Portland](https://conferences.oreilly.com/oscon/oscon-or-2018), 16-19 July, 2018
  - [Tensorflow Day: Hassle-free, scalable machine learning with Kubeflow](https://conferences.oreilly.com/oscon/oscon-or/public/schedule/detail/70899): Barbara Fusinska
* [SciPy, Austin](https://scipy2018.scipy.org/ehome/index.php?eventid=299527), 09-15 July, 2018
  - Kubeflow: Pythonic Machine Learning at Scale on Kubernetes: David Aronchick, Paige Bailey
      - [Video](https://www.youtube.com/watch?v=b_CvqzmB51M)
* [Container Day, Paris](https://paris-container-day.fr/en/), 26 June, 2018
  - [Keynote: Cloud Native ML with Kubeflow](http://paris-container-day.fr/en/#tabidff38a849e758226764f1da33f5bd81e3): David Aronchick, Chris Cho
      - [Video](https://www.youtube.com/watch?v=rcC11EZdo8Y)
* [Dockercon, San Francisco](https://2018.dockercon.com/), 12 - 15 June, 2018
  - [Keynote: Moby's Cool Hacks](https://dockercon18.smarteventscloud.com/connect/sessionDetail.ww?SESSION_ID=224348): David Aronchick, Michelle Casbon
      - [Video](https://youtu.be/RnWXOAplvjY?t=1128)
* [QCon, São Paulo](https://qconsp.com/sp2018/schedule/tabular.html), 9-11 May, 2018
  - [Architecture of an NLP Deployment](https://qconsp.com/sp2018/sp2018/presentation/architecture-nlp-deployment.html): Michelle Casbon
      - [Video](https://www.youtube.com/watch?v=SbecYkirt8w&t=1975)
* [KubeCon, Copenhagen](https://events.linuxfoundation.org/events/kubecon-cloudnativecon-europe-2018/), 2-4 May, 2018
  - Interview: Building applications on Kubeflow: Jeremy Lewi
      - [Video](https://www.youtube.com/watch?v=VTGH9ocdVM0)
  - [Keynote: Cloud Native ML on Kubernetes](https://kccnceu18.sched.com/event/Duoq/keynote-cloud-native-ml-on-kubernetes-david-aronchick-product-manager-cloud-ai-and-co-founder-of-kubeflow-google-vishnu-kannan-sr-software-engineer-google-slides-attached): David Aronchick, Vishnu Kannan
      - [Video](https://www.youtube.com/watch?v=I6iMznIYwM8)
      - [Slides](https://drive.google.com/file/d/1_QxDZXX-sSP8llFZQ6T2zseZOcPFuVLk/view?usp=sharing)
  - [Kubeflow Deep Dive](https://kccnceu18.sched.com/event/Drnd/kubeflow-deep-dive-david-aronchick-jeremy-lewi-google-intermediate-skill-level): David Aronchick, Jeremy Lewi
      - [Video](https://www.youtube.com/watch?v=86GD1VzSnks)
      - [Slides](https://www.google.com/url?q=https%3A%2F%2Fschd.ws%2Fhosted_files%2Fkccnceu18%2Fd4%2FKubeflow_Deep_Dive.pdf&sa=D&sntz=1&usg=AFQjCNFK_-mkyWfKAFM9wnywPVYH9thoYw)
  - [Kubeflow Intro](https://kccnceu18.sched.com/event/Drmt/kubeflow-intro-michal-jastrzebski-ala-raddaoui-intel-any-skill-level-slides-attached): Michał Jastrzębski, Ala Raddaoui
      - [Video](https://www.youtube.com/watch?v=NrDpQks0e98)
      - [Slides](https://schd.ws/hosted_files/kccnceu18/9f/kubeflow-intro.pdf)
  - [Serving ML Models at Scale with Seldon & Kubeflow](https://kccnceu18.sched.com/event/Dqvw/serving-ml-models-at-scale-with-seldon-and-kubeflow-clive-cox-seldonio-intermediate-skill-level-slides-attached): Clive Cox
      - [Video](https://www.youtube.com/watch?v=pDlapGtecbY)
      - [Slides](https://schd.ws/hosted_files/kccnceu18/1a/SeldonKubeconEurope2018.pdf)
  - [Conquering a Kubeflow Kubernetes Cluster with ksonnet, Ark, & Sonobuoy](https://kccnceu18.sched.com/event/Dqv6/conquering-a-kubeflow-kubernetes-cluster-with-ksonnet-ark-and-sonobuoy-kris-nova-heptio-david-aronchick-google-intermediate-skill-level): David Aronchick, Kris Nova
      - [Video](https://www.youtube.com/watch?v=givpqZ2IchI)
  - [Building ML Products with Kubeflow](https://kccnceu18.sched.com/event/Dquu/building-ml-products-with-kubeflow-jeremy-lewi-google-stephan-fabel-canonical-intermediate-skill-level-slides-attached): Jeremy Lewi, Stephan Fabel
      - [Video](https://www.youtube.com/watch?v=sC8Ce9vUggo)
      - [Slides](https://schd.ws/hosted_files/kccnceu18/c2/Building%20ML%20Products%20With%20Kubeflow%20%28Kubecon%202018%29%20%281%29.pdf)
  - [Compliant Data Management & Machine Learning on Kubernetes](https://kccnceu18.sched.com/event/DqvC/compliant-data-management-and-machine-learning-on-kubernetes-daniel-whitenack-pachyderm-intermediate-skill-level-slides-attached): Daniel Whitenack
      - [Video](https://www.youtube.com/watch?v=eOzl-LFqYFM)
      - [Slides](https://schd.ws/hosted_files/kccnceu18/a1/KubeCon_EU_2018%20%281%29.pdf)
  - [Bringing Your Data Pipeline into the Machine Learning Era](https://kccnceu18.sched.com/event/E46y/bringing-your-data-pipeline-into-the-machine-learning-era-chris-gaun-jorg-schad-mesosphere-intermediate-skill-level): Chris Gaun, Jörg Schad
      - [Video](https://www.youtube.com/watch?v=f_-3rQoudnc)
* [KubeCon, Austin](http://events17.linuxfoundation.org/events/kubecon-and-cloudnativecon-north-america), 6-8 December, 2017
  - ["Hot Dog or Not Hot Dog" at Scale - Kubernetes & Machine Learning](https://kccncna17.sched.com/event/CU5v/hot-dogs-or-not-at-scale-with-kubernetes-i-vish-kannan-david-aronchick-google): David Aronchick, Vishnu Kannan
      - [Video](https://www.youtube.com/watch?v=R3dVF5wWz-g&feature=youtu.be)
